 # 数据资源API模块

本模块是数据资源管理的API接口，提供了一系列与数据资源相关的操作，包括资源列表查询、详情查询、添加、更新、删除等功能。

## 主要功能

1. **基础操作**
   - 获取数据资源列表 (`/list`)
   - 获取数据资源详情 (`/detail`)
   - 添加数据资源 (`/save`)
   - 更新数据资源 (`/update`)
   - 删除数据资源 (`/delete`)

2. **数据查询与解析**
   - DDL语句解析 (`/ddl`)
   - SQL查询测试 (`/sql/test`)
   - DDL语句识别 (`/ddl/identify`)

3. **元数据关联**
   - 关联元数据查询 (`/search`)
   - 保存关联元数据 (`/save/metadata`)

4. **图谱操作**
   - 获取数据资源亲缘关系图谱 (`/graph`)
   - 获取数据资源完整图谱 (`/graph/all`)

5. **模型资源**
   - 获取模型资源列表 (`/model/list`)

6. **多语言支持**
   - 数据资源名称翻译 (`/translate`)

## 错误处理

所有API接口都实现了统一的错误处理机制，当操作失败时会返回错误信息和相应的HTTP状态码。

## 依赖项

- Flask：Web框架
- Neo4j：图数据库
- MinIO：对象存储
- 业务逻辑层 (`app.core.data_resource`)